Bug 186337 - kernel Oops with 2.6.16-1.2070_FC5
kernel Oops with 2.6.16-1.2070_FC5
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 18:25 EST by Lonni J Friedman
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-24 18:20:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lonni J Friedman 2006-03-22 18:25:20 EST
Description of problem:
At some random period of time after booting up a system with the dave jones
2.6.16-1.2070_FC5 kernel, I'm seeing a spontaneous Oops.  

Version-Release number of selected component (if applicable):
2.6.16-1.2070_FC5

How reproducible:
Install 2.6.16-1.2070_FC5 and boot into it.  Wait anywhere from 5 to 15 minutes,
leaving the system sitting idle in run level 3

Steps to Reproduce:
1.Install 2.6.16-1.2070_FC5
2. boot into 2.6.16-1.2070_FC5, runlevel 3
3. leave the system idle for a few minutes (anywhere from 2 to 15)
4. Oops!
  
Actual results:
I see the following in a serial console:
#########
EXT3-fs: recovery complete.                   
EXT3-fs: mounted filesystem with ordered data mode.
Unable to handle kernel NULL pointer dereference at virtual address 00000078
 printing eip:                                                              
c02dd11b      
*pde = 399d8067
Oops: 0000 [#1]
last sysfs file: /devices/system/cpu/cpu0/cpufreq/scaling_setspeed
Modules linked in: ipv6 autofs4 hidp nfs lockd nfs_acl rfcomm l2cap bluetooth
sunrpc dm_mirror dm_mod video button battery ac lp parport_pc parport spca5xx(U)
videodev nvram snd_intel8x0 snd_ac97_codec snd_ac97_bus snd_seq_dummy
snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss
snd_pcm snd_timer snd ehci_hcd sg soundcore ohci_hcd e100 forcedeth mii
snd_page_alloc i2c_core ext3 jbd sata_nv libata sd_mod scsi_mod
CPU:    0                                                                      
                
EIP:    0060:[<c02dd11b>]    Tainted: P      VLI
EFLAGS: 00010013   (2.6.16-1.2070_FC5 #1)       
EIP is at do_page_fault+0x8a/0x51d        
eax: c03d4000   ebx: 00000000   ecx: c03d4084   edx: c03d40ac
esi: 00000000   edi: c02dd091   ebp: 00000000   esp: c03d4074
ds: 007b   es: 007b   ss: 0068                               
Unable to handle kernel paging request at virtual address ffffeddc
 printing eip:                                                    
c0103d97      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
Unable to handle kernel paging request at virtual address ffffef60
 printing eip:                                                    
c02dd3dc      
*pde = 00002067
##########

Expected results:
stability

Additional info:
This does not reproduce with the 2054 official FC5 kernel, nor the 1833 FC4 kernel.
Comment 1 Lonni J Friedman 2006-03-22 18:29:50 EST
I should add this is happening in a Biostar TForce 6100 motherboard.
Comment 2 Dave Jones 2006-03-24 18:20:34 EST
please reopen if reproducable without the tainting module.

Note You need to log in before you can comment on or make changes to this bug.